> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Create organization provider

POST https://api.taigabilling.com/api/organization-providers/v3
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/organization-providers-v-3/organization-providers-v-3-create

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Body (application/json)

This endpoint expects an organization-providersv3OrganizationProviderCreateV2.

- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `qualifications` (list of IdentifierCreate, required) — A provider's qualifications such as PTAN, Medicaid Provider Id, etc.
- `first_name` (string, optional, nullable) — The first name of the provider. Required when provider_type is INDIVIDUAL. Must not be set when provider_type is ORGANIZATION.
- `last_name` (string, optional, nullable) — The last name of the provider. Required when provider_type is INDIVIDUAL. Must not be set when provider_type is ORGANIZATION.
- `organization_name` (string, optional, nullable) — The name of the provider. Required when provider_type is ORGANIZATION. Must not be set when provider_type is INDIVIDUAL.
- `tax_id` (string, optional, nullable) — Required when is_billing is true. If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (date, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (date, optional, nullable) — The employment termination date for the provider.

## Response

### 200

- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `organization_provider_id` (string, required) — Auto-generated ID set on creation.
- `qualifications` (list of Identifier, required) — Qualification given to a provider (PTAN, Medicaid Provider Id etc.).
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (date, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (date, optional, nullable) — The employment termination date for the provider.

## Errors

### 422 Unprocessable Entity Error

The request failed validation. Taiga returns a field-level `errors` array for failures it detects before submitting the request for billing (for example `is_billing: true` with no `tax_id`, a `provider_type` that contradicts the NPI registry entity type, or individual/organization name fields that contradict `provider_type`).

- `OrganizationProviders_v3_createRequestUnprocessableEntityError`
  - OrganizationProvidersV3CreateRequestUnprocessableEntityError0
  - OrganizationProvidersV3CreateRequestUnprocessableEntityError1
  - GatewayValidationError: GatewayValidationError

## Types

### IdentifierCreate

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_value` (IdentifierValue, required)
- `period` (DateRangeOptionalEnd, optional, nullable)

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### Identifier

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_id` (string, required)
- `identifier_value` (IdentifierValue, required)
- `period` (DateRangeOptionalEnd, optional, nullable)

### OrganizationProvidersV3CreateRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationError`
- `content` (RequestValidationError, optional)

### OrganizationProvidersV3CreateRequestUnprocessableEntityError1

- `errorName` (enum, optional)
  - Allowed values: `UpdatesDisabledDueToExternalSystemIntegrationError`
- `content` (UpdatesDisabledDueToExternalSystemIntegrationErrorMessage, optional)

### GatewayValidationError

A field-level validation failure detected by Taiga before the request was submitted for billing. Correct the listed fields and retry; the request is not retryable as sent.

- `errors` (list of GatewayValidationErrorErrorsItems, required)
- `message` (string, required) — Summary of why the request was rejected.

### IdentifierValue

- IdentifierValue0
- IdentifierValue1

### DateRangeOptionalEnd

- `start_date` (string, required) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)
- `end_date` (string, optional, nullable) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### RequestValidationError

- `fieldName` (string, required)
- `humanReadableMessage` (string, optional, nullable)

### UpdatesDisabledDueToExternalSystemIntegrationErrorMessage

- `message` (string, optional, nullable)

### GatewayValidationErrorErrorsItems

- `field` (string, required) — The request-body field the failure applies to (e.g. `provider_type`).
- `message` (string, required) — Human-readable explanation of the failure.
- `expected` (string, optional) — The value the field must take, when known.
- `received` (string, optional) — The value that was submitted, when known.

### IdentifierValue0

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicare_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

### IdentifierValue1

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicaid_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

## Examples

**Request**

```json
{
  "npi": "string",
  "is_rendering": true,
  "is_billing": true,
  "provider_type": "INDIVIDUAL",
  "license_type": "MD",
  "qualifications": [
    {
      "identifier_code": "MCR",
      "identifier_value": {
        "provider_number": "string",
        "state": "AA",
        "type": "medicare_provider_identifier"
      }
    }
  ]
}
```

**Response**

```json
{
  "npi": "1234567890",
  "is_rendering": true,
  "is_billing": true,
  "provider_type": "INDIVIDUAL",
  "license_type": "MD",
  "organization_provider_id": "string",
  "qualifications": [
    {
      "identifier_code": "MCR",
      "identifier_id": "string",
      "identifier_value": {
        "organization_service_facility_id": "string",
        "provider_number": "string",
        "state": "AA",
        "type": "medicare_provider_identifier"
      },
      "period": {
        "start_date": "string",
        "end_date": "string"
      }
    }
  ],
  "first_name": "string",
  "last_name": "string",
  "organization_name": "string",
  "tax_id": "string",
  "taxonomy_code": "string",
  "addresses": [
    {
      "address": {
        "address1": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "1234",
        "address2": "string"
      },
      "address_type": "DEFAULT"
    }
  ],
  "employment_start_date": "2023-01-15",
  "employment_termination_date": "2023-01-15"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/organization-providers/v3"

payload = {
    "npi": "string",
    "is_rendering": True,
    "is_billing": True,
    "provider_type": "INDIVIDUAL",
    "license_type": "MD",
    "qualifications": [
        {
            "identifier_code": "MCR",
            "identifier_value": {
                "provider_number": "string",
                "state": "AA",
                "type": "medicare_provider_identifier"
            }
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```